Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001150Core InformPhrases and functional programmingpublic2013-11-26 21:582014-05-07 07:33
Assigned Tograham 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001150: "list the contents of" phrase missing CFIRSTART_BIT option
DescriptionThe WriteListFrom() routine supports a CFIRSTART_BIT flag (capitalize "a"/"the" on the first listed item). This is used by the built-in "say A list of..." and "say The list of..." phrases. However, it cannot be invoked from the core "list the contents of..." phrase -- that option is not defined at the I7 level.

Somebody asked for this ( [^]) so I figured I'd file it. May count as a feature request, but it's low-level and simple to provide, and hopefully it's obvious that it should go on.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
graham (administrator)
2014-02-04 12:40

I suspect Felix's objection to this was reasonable, but we may as well expose it; I've made the change.

- Issue History
Date Modified Username Field Change
2013-11-26 21:58 zarf New Issue
2013-11-27 09:42 EmacsUser Status new => confirmed
2014-02-04 12:40 graham Note Added: 0002449
2014-02-04 12:40 graham Status confirmed => resolved
2014-02-04 12:40 graham Resolution open => fixed
2014-02-04 12:40 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker